import { connectToDb, resetQuota, getLastReset, addReset } from "./mysql.ts";
import { sendLog } from "./discord.ts";

export async function checkReset() {
	const connection = await connectToDb();
	const lastReset = await getLastReset(connection);
  const now = Date.now()

  if (!lastReset[0]) {
		return;
  }

  if (lastReset[0].date == null) {
		await resetQuota(connection);
		await addReset(connection, now);

		return connection.end();
  }

	if (now - lastReset[0].date > 1000 * 60 * 60 * 24 * 30) {
		await resetQuota(connection);
		await addReset(connection, now);

		return connection.end();
	}
}
